cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
Highlighted
DavidRPitts Regular Visitor
Regular Visitor

Funnel Plot Issues

I am Trying to use the Funnel plot Visual I get the following error: Some help on this would be appreciated

 

 

R script error.

Loading required package: XML

Loading required package: methods

Loading required package: htmlwidgets

Loading required package: ggplot2

Loading required package: plotly

 

Attaching package: 'plotly'

 

The following object is masked from 'package:ggplot2':

 

    last_plot

 

The following object is masked from 'package:stats':

 

    filter

 

The following object is masked from 'package:graphics':

 

    layout

 

Loading required package: scales

Error in matrix(unlist(value, recursive = FALSE, use.names = FALSE), nrow = nr,  :

  length of 'dimnames' [2] not equal to array extent

Calls: Ops.data.frame -> matrix

Execution halted

6 REPLIES 6
Moderator v-viig
Moderator

Re: Funnel Plot Issues

What version of Power BI Desktop and R engine do you use?

 

Ignat Vilesov,

Software Engineer

 

Microsoft Power BI Custom Visuals

pbicvsupport@microsoft.com

DavidRPitts Regular Visitor
Regular Visitor

Re: Funnel Plot Issues

PBI DT Version: 2.53.4954.481 64-bit (December 2017)

 

R version 3.4.3 (2017-11-30)

Moderator v-viig
Moderator

Re: Funnel Plot Issues

We'll include our R-script developer to investigate this issue.

 

Ignat Vilesov,

Software Engineer

 

Microsoft Power BI Custom Visuals

pbicvsupport@microsoft.com

Moderator boefraty
Moderator

Re: Funnel Plot Issues

Hi @DavidRPitts

Is it possible to get the PBIX to reproduce an error on our side? 
If the data in PBIX is sensitive, create one with toy sample. 

milos90 Frequent Visitor
Frequent Visitor

Re: Funnel Plot Issues

Hi - I am getting a similar error.  Had to load manually ggplot2, however when i try to put any data in it i get this error. I have the Microsoft R 3.4.3.0 and the most recent Power BI update.  Any suggestion would be appriciated! Thank you

 

 

R script error.
Loading required package: XML
Loading required package: methods
Loading required package: htmlwidgets
Loading required package: ggplot2
Loading required package: plotly

Attaching package: 'plotly'

The following object is masked from 'package:ggplot2':

    last_plot

The following object is masked from 'package:stats':

    filter

The following object is masked from 'package:graphics':

    layout

Loading required package: scales
We recommend that you use the dev version of ggplot2 with `ggplotly()`
Install it with: `devtools::install_github('hadley/ggplot2')`
Error in loadNamespace(name) : there is no package called 'yaml'
Calls: internalSaveWidget ... tryCatch -> tryCatchList -> tryCatchOne -> <Anonymous>
Execution halted

 

Moderator boefraty
Moderator

Re: Funnel Plot Issues

Hi @milos90 and @DavidRPitts

 

Do you get this issue with "sample.pbix" or your own report? 

Is it possible to attach the PBIX file? 
The error  from the first blog could happen for example if the dataset is empty.  

Another error is due to failure to install all packages (and their dependencies)


I'd recommend to use this script 
https://community.powerbi.com/oxcrx34285/attachments/oxcrx34285/RVisuals/274/3/ScriptInstallPackages...

 

From any R console.   Please update me if you need any further assistance